import { FormElement, FormHook, FormInputLocalization } from "../../features/form-hook/index";
export declare class FormCheckbox implements FormElement {
    name: string;
    wrapperId: string;
    form: FormHook<any>;
    inputPrefix: string;
    wrapperClass: string;
    type: string;
    defaultChecked: boolean;
    localization?: FormInputLocalization;
    el: HTMLElement;
    private inputRef;
    componentWillLoad(): Promise<void>;
    disconnectedCallback(): Promise<void>;
    componentDidLoad(): Promise<void>;
    reset(newChecked?: boolean): void;
    render(): any;
}
